phpLDAPadmin

# Class: page

Source Location: /templates/3rdParty/pla/lib/page.php

### Class Overview

This class controls the final output to the browser.

### Variables

- $_app
- $_default
- $_head
- $_pageheader

### Methods

- __construct
- block_add
- display
- head_add
- setsysmsg
- show
- tree

### Class Details

[line 15]
This class controls the final output to the browser.
[ Top ]

### Class Variables

#### $_app =

[line 23]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $_default =

[line 26]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $_head =

[line 20]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $_pageheader =

[line 17]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 28]

`page __construct( [ $index = null])`

#### Tags:

access: | public

#### Parameters:

| $index |

[ Top ]

### method block_add [line 234]

`void block_add( $side, $object)`

#### Tags:

access: | public

#### Parameters:

| $side |
| $object |

[ Top ]

### method display [line 367]

`void display( [ $filter = array()])`

#### Tags:

access: | public

#### Parameters:

| $filter |

[ Top ]

### method head_add [line 87]

`void head_add( $html)`

#### Tags:

access: | public

#### Parameters:

| $html |

[ Top ]

### method setsysmsg [line 445]

`void setsysmsg( $data)`

#### Tags:

access: | public

#### Parameters:

| $data |

[ Top ]

### method show [line 332]

`void show( $frame, [ $compress = false], [ $raw = false])`

Only show a particular page frame - used by an AJAX call

#### Tags:

access: | public

#### Parameters:

| $frame |
| $compress |
| $raw |

[ Top ]

### method tree [line 205]

`void tree( )`

#### Tags:

access: | protected

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:59 +0100 by phpDocumentor 1.4.1